import request from '@/utils/request'
const service_name = "oil-site"
const group_name = "xoilUreaSite"
const List_name = "xoilUreaPrice"
const kcx_name = 'kcx'
const order_name = 'xoilUreaOrder'
export default {
	// 尿素站点列表查询
	getByPageMobile(data) {
		return request({
			url: `/${service_name}/${group_name}/getByPageMobile`,
			method: 'post',
			data: data 
		})
	},
	// 查询尿素站点详情
	findUreaSiteDetails(data) {
		return request({
			url: `/${service_name}/${group_name}/findUreaSiteDetails?siteId=${data.siteIds}&&currentLongitude=${data.currentLongitude}&&currentLatitude=${data.currentLatitude}`,
			method: 'get' 
		})
	},
	// 查询品牌列表
	findPriceDetails() {
		return request({
			url: `/${service_name}/${List_name}/findPriceDetails`,
			method: 'GET' 
		})
	},
	// 油站详情
	findSiteDetails(id) {
		return request({
			url: `/${service_name}/${group_name}/findSiteDetails?siteId=${id}`,
			method: 'GET' 
		})
	},
	//站点扫码查看是否匹配（扫码时调用
	siteMatch(data) {
		return request({
			url: `/${service_name}/${group_name}/siteMatch`,
			method: 'GET', 
			params:data
		})
	},
	//用户扫码不匹配进行二次确认操作
	sendRequest(data) {
		return request({
			url: `/${service_name}/${kcx_name}/sendRequest`,
			method: 'post', 
			data:data
		})
	},

}